org.eclipse.viatra.query.patternlanguage.emf.scoping

## Class PatternLanguageResourceDescriptionStrategy

- java.lang.Object
- - org.eclipse.xtext.resource.impl.DefaultResourceDescriptionStrategy
  - - org.eclipse.viatra.query.patternlanguage.emf.scoping.PatternLanguageResourceDescriptionStrategy

- All Implemented Interfaces:
    org.eclipse.xtext.resource.IDefaultResourceDescriptionStrategy

      public class PatternLanguageResourceDescriptionStrategy
      extends org.eclipse.xtext.resource.impl.DefaultResourceDescriptionStrategy

  Custom strategy for computing ResourceDescription for patttern language resources. Adds user data for Pattern EObjectDescription about private modifier.
  Since:
    2.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PatternLanguageResourceDescriptionStrategy()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `createEObjectDescriptions(org.eclipse.emf.ecore.EObject eObject, org.eclipse.xtext.util.IAcceptor<org.eclipse.xtext.resource.IEObjectDescription> acceptor)`
    `boolean` | `createReferenceDescriptions(org.eclipse.emf.ecore.EObject from, org.eclipse.emf.common.util.URI exportedContainerURI, org.eclipse.xtext.util.IAcceptor<org.eclipse.xtext.resource.IReferenceDescription> acceptor)`
    `protected java.util.Map<java.lang.String,java.lang.String>` | `getUserData(Pattern pattern)`

    - ### Methods inherited from class org.eclipse.xtext.resource.impl.DefaultResourceDescriptionStrategy

      `createReferenceDescription, getLazyURIEncoder, getQualifiedNameProvider, isIndexable, isResolvedAndExternal, setLazyURIEncoder, setQualifiedNameProvider`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PatternLanguageResourceDescriptionStrategy

          public PatternLanguageResourceDescriptionStrategy()

  - ### Method Detail

    - #### createEObjectDescriptions

          public boolean createEObjectDescriptions(org.eclipse.emf.ecore.EObject eObject,
                                                   org.eclipse.xtext.util.IAcceptor<org.eclipse.xtext.resource.IEObjectDescription> acceptor)

      Specified by:
        `createEObjectDescriptions` in interface `org.eclipse.xtext.resource.IDefaultResourceDescriptionStrategy`
      Overrides:
        `createEObjectDescriptions` in class `org.eclipse.xtext.resource.impl.DefaultResourceDescriptionStrategy`

    - #### getUserData

          protected java.util.Map<java.lang.String,java.lang.String> getUserData(Pattern pattern)

    - #### createReferenceDescriptions

          public boolean createReferenceDescriptions(org.eclipse.emf.ecore.EObject from,
                                                     org.eclipse.emf.common.util.URI exportedContainerURI,
                                                     org.eclipse.xtext.util.IAcceptor<org.eclipse.xtext.resource.IReferenceDescription> acceptor)

      Specified by:
        `createReferenceDescriptions` in interface `org.eclipse.xtext.resource.IDefaultResourceDescriptionStrategy`
      Overrides:
        `createReferenceDescriptions` in class `org.eclipse.xtext.resource.impl.DefaultResourceDescriptionStrategy`